
    html {

    --bgColorMenu2 : #1d1d27;
    --bgColorMenu : #ddd;
    --duration: .7s;    

}

.menu{

    margin: 0;
    display: flex;
    /* Works well with 100% width  */
    width: 52px;
    font-size: 1.5em;
    padding: 40px 0px;
    position: relative;
    align-items: center;
    justify-content: center;
    background-color: var(--bgColorMenu);
        flex-direction: column;
    flex-shrink: 0; 
	border-radius: 10px;
  
}

.menu__item{
    
    all: unset;
    flex-grow: 1;
    z-index: 1;
    display: flex;
    cursor: pointer;
    position: relative;
    border-radius: 50%;
    align-items: center;
    will-change: transform;
    justify-content: center;
    padding: 10px 0px;
    transition: transform var(--timeOut , var(--duration));
    
}

.menu__item::before{
    
    content: "";
    z-index: -1;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    position: absolute;
    transform: scale(0);
    transition: background-color var(--duration), transform var(--duration);
    
}


.menu__item.m_active {

    transform: translate3d(.8em , 0 , 0);
	color: #fff;
}

.menu__item.m_active::before{
    
    transform: scale(1);
    background-color: var(--bgColorItem);
}

.icon{
    
    width: 24px;
    height: 24px;
    x-stroke: #333;
    x_fill: transparent;
    x-stroke-width: 1pt;
    x-stroke-miterlimit: 10;
    x-stroke-linecap: round;
    x-stroke-linejoin: round;
    x-stroke-dasharray: 400;
    x-color: #333;
}

.menu__item.m_active .icon {

    x-animation: strok 1.5s reverse;
    x-stroke: #fff;
    x-color: #fff;
}

@keyframes strok {

    100% {

        stroke-dashoffset: 400;

    }

}

.menu__border{

    left: 0px;
    bottom: 99%;
    width: 128px;
    height: 36px;
    position: absolute;
    clip-path: url(#menu);
    will-change: transform;
    background-color: var(--bgColorMenu);
    transform: rotate(90deg) translate3d(50px , 0 , 0);
    transition: transform var(--timeOut , var(--duration));
    
}

.svg-container {

    width: 0;
    height: 0;
}


@media screen and (max-width: 50em) {
    .menu{
        font-size: .8em;
    }
}
